global script_node
local first
local asked_about_base
local asked_about_slaves
local full_conversation
local cycle_hint


local idle_time = 0
local POIs =
	{
		"loc_meadows_poi_1",
		"loc_meadows_poi_2", 
		"loc_meadows_poi_3"
	}


full_conversation = true
cycle_hint = 1

global function Trigger()
	StopPOIWait()
	ResetPlayerCamera()
end

--CYBER_MEADOWS_BASE:     Tell about GSO.
--CYBER_MEADOWS_SLAVES: Tell about Cyberslaves.
global function Interact()
	local meadows=GetActor("meadows")
	if(full_conversation) then
		local doctor=GetActor("doctor")
		
		ShowLetterBox()
		local waypoint = FindNodeByName("loc_meadows_talk")
		meadows:SetTarget(waypoint)
		waypoint = FindNodeByName("loc_meadows_talk_doc")
		doctor:SetTarget(waypoint)
		doctor:SetMoveTime(1)
		doctor:SetBehaviour("move")
		
		local camera_view = FindNodeByName("spline_meadows_talk_Node")	
		SetPOIPosAndLookZ(camera_view)
		BeginPOI(2, 400, 2, true, true)
		
		Wait(1)
		
		

		
		meadows:SetBehaviour("move")
		meadows:SetMoveTime(0.5)
		Wait(0.5)
		meadows:SetFocus(doctor)
		
		local DecisionManager = FindManagerByName("EmAdventureGame_DecisionManager")
		DecisionManager:AddOption("icon2.tga", "CYBER_MEADOWS_BASE", script_node, "Decision1") -- GSO
		DecisionManager:AddOption("icon1.tga", "CYBER_MEADOWS_SLAVES", script_node, "Decision2") --meadows
		DecisionManager:Start()
	else
		SayPrep("skip", "")	
		if (cycle_hint == 1) then
			--HINT
			cycle_hint = 2
			meadows::SID_1538:Comme je vous l'ai dit, nous sommes venu pour etudier ce que revelaient les analyses anormales sous la glace.
		else
			--HINT
			meadows::SID_0425:Ecoutez, je dois vraiment travailler sur ce serum.
		end
	end
end

global function Decision1()
	local doctor=GetActor("doctor")
	local meadows=GetActor("meadows")
	SayPrep("skip", "")	
	doctor:SetBehaviour("wait")

	--CUT SCENE 7.01
	--HINT. DIALOGUE TREE
	--DIALOGUE TREE 
	--Question 1 -  talking to Meadows about the GSO
	doctor::SID_0418:Pouvez-vous me parler de la base?
	meadows::SID_0419:Les analyses indiquaient des anomalies sous la glace. Nous sommes venus pour enqueter.
	doctor::SID_0420:Des anomalies? Comment ca?
	meadows::SID_0421: Un scan a permis de decouvrir de grandes structure visiblement humaines.
	meadows::SID_0422: Nous avons cru qu'il s'agissait d'un camp datant d'avant l'ere glaciaire.
	doctor::SID_0423: Mais ce n'etait pas humain?
	meadows::SID_0424: Non
	asked_about_base = true
	if(asked_about_slaves) then
		HideLetterBox()
		doctor:SetBehaviour("pc")
		local loc = FindNodeByName("loc_cs7_end_meadows_table")
		meadows:SetTarget(loc)
		meadows:ClearFocus()
		meadows:SetMoveTime(1)
		meadows:SetBehaviour("move")

		full_conversation = false
		StopPOIWait()
		ResetPlayerCamera()
	else
		local DecisionManager = FindManagerByName("EmAdventureGame_DecisionManager")
		--DecisionManager:AddOption("icon2.tga", "CYBER_MEADOWS_BASE", script_node, "Decision1") -- GSO
		DecisionManager:AddOption("icon1.tga", "CYBER_MEADOWS_SLAVES", script_node, "Decision2") --meadows
		DecisionManager:Start()
	end
end

global function Decision2()
	local doctor=GetActor("doctor")
	local meadows=GetActor("meadows")
	SayPrep("skip", "")	
	doctor:SetBehaviour("wait")

	--CUT SCENE 7.02
	--HINT. DIALOGUE TREE
	--Running out of questions
	doctor::SID_1537:Parlez-moi des cyber-esclaves.
	meadows::SID_0426:Sauver mon equipe est tout ce qui compte a present.
	
	doctor::SID_0427:C'est pourquoi ca tombe bien que je sois la.
	asked_about_slaves = true
	if(asked_about_base) then
		HideLetterBox()
		doctor:SetBehaviour("pc")
		local loc = FindNodeByName("loc_cs7_end_meadows_table")
		meadows:SetTarget(loc)
		meadows:ClearFocus()
		meadows:SetMoveTime(1)
		meadows:SetBehaviour("move")

		full_conversation = false
		StopPOIWait()
		ResetPlayerCamera()
	else
		local DecisionManager = FindManagerByName("EmAdventureGame_DecisionManager")
		DecisionManager:AddOption("icon2.tga", "CYBER_MEADOWS_BASE", script_node, "Decision1") -- GSO
		--DecisionManager:AddOption("icon1.tga", "CYBER_MEADOWS_SLAVES", script_node, "Decision2") --meadows
		DecisionManager:Start()
	end
end

global function Idle()

	if(not full_conversation) then
		Wait(5)
		local meadows=GetActor("meadows")
	
			local random
			local waypoint
			
		random = Random(#POIs)
		waypoint = FindNodeByShortName(POIs[random])
		meadows:SetTarget(waypoint)
		meadows:SetMaxSpeed(1.0)
		meadows:SetBehaviour("move")
	end
	local waitttime = 5+ Random(8)
	Wait(waitttime) 
end
