global function Start()
	local doctor = GetActor("doctor")
	local cyberleader = FindNodeByName("EM_ENTITY_Cyberleader")
	local doc_point1 = FindNodeByName("loc_cutscene11_doc")
	local doc_point2 = FindNodeByName("loc_cutscene11_doc_end")
	local anim = FindNodeByShortName("EM_ANIMATOR_TheDoctor_Anim_DRW_InteractOnTable")
	local keyboard = FindNodeByName("audio_keyboard")
	
	cyberleader:Trigger()

	doctor:SetBehaviour("wait")
	doctor:Teleport(doc_point1)
	doctor:SetTarget(doc_point2)
	doctor:SetMoveTime(3)
	doctor:SetBehaviour("move")
	
	Wait(3)
	doctor:PlayAnim(anim, 1, 0.1)
	doctor:DisableAnimLoop()
	
	Wait(1)
	keyboard:Trigger()
end

global function End()
	local MinigameManager = FindManagerByName("EmAdventureGame_MiniGameManager")
	local NanoMinigame = MinigameManager:GetNanoMiniGame()
	local script = FindNodeByName("script_nano_minigame")
	local man2a = FindNodeByName("sub_man2")	
	local man3a = FindNodeByName("sub_man3")
	local man2b = FindNodeByName("Manacle2")
	local man3b = FindNodeByName("Manacle3")

	man2a:StopTrigger()
	man3a:StopTrigger()
	man2b:Trigger()
	man3b:Trigger()

	HideLetterBox()

	--Negotiate the gantries
	SetGlobalObjectiveState("Cyber_3_2_1", 3) -- 2 is unlock, 3 is done
	--Find out where Amy has been taken
	SetGlobalObjectiveState("Cyber_3_2_2", 3) -- 2 is unlock, 3 is done	
	--Wake the cybermen
	AddGlobalObjective("Cyber_3_3")

	MinigameManager:SetMiniGameID("MINI_NANO02")
	NanoMinigame:Medium()
	NanoMinigame:SetEnvironment(1)
	
	NanoMinigame:ResetConditions()
	NanoMinigame:AddDoubleCondition(5,1,4,0,0)
	NanoMinigame:AddDoubleCondition(1,3,3,0,0)
	NanoMinigame:SetCatalystColour(0,1)
	NanoMinigame:SetCatalystActive(0,1)
	NanoMinigame:SetCatalystColour(1,0)
	NanoMinigame:SetCatalystActive(1,0)
	NanoMinigame:SetCatalystColour(2,3)
	NanoMinigame:SetCatalystActive(2,1)
	NanoMinigame:SetCatalystColour(3,5)
	NanoMinigame:SetCatalystActive(3,1)
	NanoMinigame:SetCatalystColour(4,0)
	NanoMinigame:SetCatalystActive(4,0)
	NanoMinigame:SetCatalystColour(5,0)
	NanoMinigame:SetCatalystActive(5,0)
	NanoMinigame:SetCatalystColour(6,0)
	NanoMinigame:SetCatalystActive(6,0)
	NanoMinigame:SetCatalystColour(7,0)
	NanoMinigame:SetCatalystActive(7,0)
	NanoMinigame:SetTargetColour(0,0,0)
	NanoMinigame:SetTargetActive(0,0,0)
	NanoMinigame:SetTargetVolatile(0,0,0)
	NanoMinigame:SetTargetColour(0,1,3)
	NanoMinigame:SetTargetActive(0,1,1)
	NanoMinigame:SetTargetVolatile(0,1,0)
	NanoMinigame:SetTargetColour(0,2,0)
	NanoMinigame:SetTargetActive(0,2,0)
	NanoMinigame:SetTargetVolatile(0,2,0)
	NanoMinigame:SetTargetColour(0,3,0)
	NanoMinigame:SetTargetActive(0,3,0)
	NanoMinigame:SetTargetVolatile(0,3,0)
	NanoMinigame:SetTargetColour(0,4,1)
	NanoMinigame:SetTargetActive(0,4,1)
	NanoMinigame:SetTargetVolatile(0,4,0)
	NanoMinigame:SetTargetColour(0,5,1)
	NanoMinigame:SetTargetActive(0,5,1)
	NanoMinigame:SetTargetVolatile(0,5,0)
	NanoMinigame:SetTargetColour(0,6,3)
	NanoMinigame:SetTargetActive(0,6,1)
	NanoMinigame:SetTargetVolatile(0,6,0)
	NanoMinigame:SetTargetColour(0,7,0)
	NanoMinigame:SetTargetActive(0,7,0)
	NanoMinigame:SetTargetVolatile(0,7,0)
	NanoMinigame:SetTargetColour(0,8,3)
	NanoMinigame:SetTargetActive(0,8,1)
	NanoMinigame:SetTargetVolatile(0,8,0)
	NanoMinigame:SetTargetColour(0,9,0)
	NanoMinigame:SetTargetActive(0,9,0)
	NanoMinigame:SetTargetVolatile(0,9,0)
	NanoMinigame:SetTargetColour(0,10,0)
	NanoMinigame:SetTargetActive(0,10,0)
	NanoMinigame:SetTargetVolatile(0,10,0)
	NanoMinigame:SetTargetColour(0,11,3)
	NanoMinigame:SetTargetActive(0,11,1)
	NanoMinigame:SetTargetVolatile(0,11,0)
	NanoMinigame:SetTargetSpeed(0,0.75)
	NanoMinigame:SetTargetColour(1,0,0)
	NanoMinigame:SetTargetActive(1,0,0)
	NanoMinigame:SetTargetVolatile(1,0,0)
	NanoMinigame:SetTargetColour(1,1,0)
	NanoMinigame:SetTargetActive(1,1,0)
	NanoMinigame:SetTargetVolatile(1,1,0)
	NanoMinigame:SetTargetColour(1,2,5)
	NanoMinigame:SetTargetActive(1,2,1)
	NanoMinigame:SetTargetVolatile(1,2,0)
	NanoMinigame:SetTargetColour(1,3,3)
	NanoMinigame:SetTargetActive(1,3,0)
	NanoMinigame:SetTargetVolatile(1,3,0)
	NanoMinigame:SetTargetColour(1,4,5)
	NanoMinigame:SetTargetActive(1,4,1)
	NanoMinigame:SetTargetVolatile(1,4,0)
	NanoMinigame:SetTargetColour(1,5,0)
	NanoMinigame:SetTargetActive(1,5,0)
	NanoMinigame:SetTargetVolatile(1,5,0)
	NanoMinigame:SetTargetColour(1,6,4)
	NanoMinigame:SetTargetActive(1,6,1)
	NanoMinigame:SetTargetVolatile(1,6,0)
	NanoMinigame:SetTargetColour(1,7,0)
	NanoMinigame:SetTargetActive(1,7,0)
	NanoMinigame:SetTargetVolatile(1,7,0)
	NanoMinigame:SetTargetColour(1,8,5)
	NanoMinigame:SetTargetActive(1,8,1)
	NanoMinigame:SetTargetVolatile(1,8,0)
	NanoMinigame:SetTargetColour(1,9,0)
	NanoMinigame:SetTargetActive(1,9,0)
	NanoMinigame:SetTargetVolatile(1,9,0)
	NanoMinigame:SetTargetColour(1,10,0)
	NanoMinigame:SetTargetActive(1,10,0)
	NanoMinigame:SetTargetVolatile(1,10,0)
	NanoMinigame:SetTargetColour(1,11,0)
	NanoMinigame:SetTargetActive(1,11,1)
	NanoMinigame:SetTargetVolatile(1,11,1)
	NanoMinigame:SetTargetSpeed(1,-0.45)
	
	MinigameManager:StartMiniGame(NanoMinigame)
	MinigameManager:SetCallback(script, "Run_cutscene")
end